Subject: bug#62893: 30.0.50; ELPA recipes with broken :url property values

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 09:34:51 -0700

Philip Kaludercic <[email-masked]> writes:

> No Wayman <[email-masked]> writes:
>
>> In elpa-packages, is there a reason why we keep the :url property for
>> packages for which
>> the upstream no longer exists? e.g. any package :url pointing to
>> "http://www.dr-quibit.org/git/predictive.git"?
>>
>> I ask because I'm writing GNU/NonGNU ELPA support for Elpaca.
>> I'd like to avoid hard-coding an exception for that URL when
>> generating package recipes.
>> Would a patch changing those :url values to nil be accepted?
>> If so, should the old URL be preserved in a comment above each
>> package?
>
> Elpa-admin.el fails with a message from "git fetch", which makes sense
> if a repository is temporarily not available.  What I think would make
> sense here would be to first check what repositories are failing and
> then consider if setting the :url to nil would make sense or if it has
> just moved somewhere else.
>
> E.g. in this case it seems that there has been an issue with the hosting
> provider, and Toby has been (very) slowly porting his packages over to
> Gitlab: https://dr-qubit.org/undo-tree.html#orgffcc37e.

I think the only one left to fix is predictive:

    https://dr-qubit.org/predictive.html

Toby, could you please look into this package too when you have the
chance?